Bug 1472363 - [RFE] Change the default API version used by the client to the latest
Summary: [RFE] Change the default API version used by the client to the latest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-ironicclient
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Dmitry Tantsur
QA Contact: mlammon
URL: http://specs.openstack.org/openstack/...
Whiteboard:
Depends On:
Blocks: 1473267
TreeView+ depends on / blocked
 
Reported: 2017-07-18 14:49 UTC by Dmitry Tantsur
Modified: 2018-06-27 13:33 UTC (History)
7 users (show)

Fixed In Version: python-ironicclient-2.2.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:32:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1671145 None None None 2017-07-18 14:53:48 UTC
OpenStack gerrit 512989 None master: MERGED python-ironicclient: Set the default API version of OSC CLI to "latest" (I489fee937a356b523eb35379dce3631195132fe5) 2018-02-07 14:35:11 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:33:21 UTC

Description Dmitry Tantsur 2017-07-18 14:49:00 UTC
It's very inconvenient that we have to provide --os-baremetal-api-version flag every time we use a new version. An error message due to not doing it can also be quite not clear. We have decided on the Pike PTG that we will change the default version from the lowest supported to the highest supported.

No direct impact on TripleO, as it pins the version. We can unpin it for the overcloud.

Comment 5 Dmitry Tantsur 2018-03-29 13:06:24 UTC
Testing PASSED on RHEL 7.5, puddle 2018-03-29.1. Notes:

$ export OS_BAREMETAL_API_VERSION=1.1
$ openstack baremetal node trait list host08
Requested API version 1.1 is not supported by the server, client, or
the requested operation is not supported by the requested
version.Supported version range is 1.1 to 1.37
$ unset OS_BAREMETAL_API_VERSION
$ openstack baremetal node trait list host08
$

Comment 7 errata-xmlrpc 2018-06-27 13:32:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.